List Notes for a Contact
curl --request GET \
--url https://api.virtuoussoftware.com/api/ContactNote/ByContact/{contactId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/ContactNote/ByContact/{contactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ContactNote/ByContact/{contactId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ContactNote/ByContact/{contactId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/ContactNote/ByContact/{contactId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"list": [
{
"id": 850021,
"contactId": 100234,
"createDateTimeUtc": "2025-10-05T15:12:00Z",
"createdByUser": "Development Team",
"modifiedDateTimeUtc": "2025-10-05T15:12:00Z",
"modifiedByUser": "Development Team",
"noteDate": "2025-10-05",
"type": "Call",
"note": "Discussed year-end capital campaign gift; Marcus confirmed a $1,000 pledge payment by check.",
"important": true,
"isPrivate": false,
"createdByAvatarUrl": "https://api.virtuoussoftware.com/avatars/users/development-team.png",
"reminder": {
"id": 860007,
"message": "Follow up on capital campaign pledge balance",
"targetDate": "2025-12-01",
"targetResolutionDateUtc": "2025-12-01T17:00:00Z",
"contactId": 100234,
"contactViewUrl": "https://api.virtuoussoftware.com/api/Contact/100234",
"contactDisplayName": "Marcus Castellano",
"contactAvatarUrl": "https://api.virtuoussoftware.com/api/ContactIndividual/200234/Avatar",
"reminderType": "Task",
"reminderTypeDisplayName": "Task",
"taskStatus": "Open",
"taskStatusDisplayName": "Open",
"completeUrl": "https://api.virtuoussoftware.com/api/Reminder/Completed/860007",
"dismissUrl": "https://api.virtuoussoftware.com/api/Reminder/Dismissed/860007",
"description": "Follow up on capital campaign pledge balance",
"hasContact": true,
"isPastDue": false,
"isUnresolved": true,
"canComplete": true,
"completeActionName": "Complete",
"canCompleteWithNote": true,
"owner": "Development Team",
"ownerAvatarUrl": "https://api.virtuoussoftware.com/avatars/users/development-team.png"
}
},
{
"id": 850009,
"contactId": 100234,
"createDateTimeUtc": "2025-09-15T13:05:00Z",
"createdByUser": "Development Team",
"modifiedDateTimeUtc": "2025-09-15T13:05:00Z",
"modifiedByUser": "Development Team",
"noteDate": "2025-09-15",
"type": "Email",
"note": "Sent Spring Appeal follow-up and gala invitation.",
"important": false,
"isPrivate": false,
"createdByAvatarUrl": "https://api.virtuoussoftware.com/avatars/users/development-team.png",
"reminder": null
}
],
"total": 14
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Contacts and Individuals
List Notes for a Contact
Returns the notes recorded on the contact. Use skip and take to page through the results.
GET
/
api
/
ContactNote
/
ByContact
/
{contactId}
List Notes for a Contact
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The contact identifier.
Query Parameters
The field to be sorted. Supported: Id, NoteDate, CreatedDateTime.
The direction to sort the results. Set to true to sort in descending order.
The number of records to skip. Default = 0.
The number of records to take. Default = 10.
Last modified on August 11, 2026
Was this page helpful?
⌘I